%define name	libbtctl
%define version 0.4.1
%define release 7mdk

%define major	1
%define libname %mklibname btctl %{major}

Name: 	 	%{name}
Summary: 	GNOME bluetooth control library
Version: 	%{version}
Release: 	%{release}

Source0:	%{name}-%{version}.tar.bz2
# (fc) 0.4.1-3mdk fix crash in obex server (CVS)
Patch0:		libbtctl-0.4.1-obexcrash.patch.bz2
# (gb) this patch applies to aclocal.m4 and Makefile.in, i.e. don't
# bother with older/new autotools/libtool stuff.
Patch1:		libbtctl-0.4.1-lib64.patch.bz2
URL:		http://usefulinc.com/software/gnome-bluetooth/
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	autoconf2.5 >= 2.54
BuildRequires:	pkgconfig libgnomeui2-devel libGConf2-devel
BuildRequires:	bluez-devel gtk-doc perl-XML-Parser
BuildRequires:	pygtk2.0-devel openobex-devel

%description
Current features include:
    * Bonobo component to manage the discovery of nearby Bluetooth devices
    * Component will create serial (RFCOMM) connections for clients to devices
    * libbtcl, a GObject wrapper for Bluetooth functionality

Features planned in the near future include:
    * Control-center prefs application to give users overall control over
      devices

%package -n %libname
Group:		System/Libraries
Summary: 	GNOME bluetooth control library
Requires:	bluez-utils
Provides:   %name = %version-%release

%description -n %libname
Current features include:
    * Bonobo component to manage the discovery of nearby Bluetooth devices
    * Component will create serial (RFCOMM) connections for clients to devices
    * libbtcl, a GObject wrapper for Bluetooth functionality

Features planned in the near future include:
    * Control-center prefs application to give users overall control over
      devices

%package -n %libname-devel
Group:		Development/C
Summary:	Static libraries and header files from %name
Provides:	%name-devel = %version-%{release}
Requires:	%libname = %version-%release

%description -n %libname-devel
Static libraries and header files from %name

%prep
%setup -q
%patch0 -p1 -b .obexcrash
%patch1 -p1 -b .lib64
autoconf

%build
%configure2_5x --enable-shared --disable-mono
# parallel build fails
make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %libname -f %name.lang
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/python*/site-packages/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%doc %{_datadir}/gtk-doc/html/%name
%{_includedir}/%name
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/python*/site-packages/*.la
%{_libdir}/*.a
%{_libdir}/python*/site-packages/*.a
%{_libdir}/pkgconfig/%name.pc

%changelog
* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.4.1-7mdk
- Rebuild for new python

* Mon Oct 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-6mdk
- lib64 fixes

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-5mdk
- Rebuild for new libbluetooth location

* Mon Sep 13 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.1-4mdk
- add BuildRequires: perl-XML-Parser openobex-devel pygtk2.0-devel

* Wed Jul 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-3mdk
- Patch0 (CVS): fix wrong ABI in obex object, causing crash in gnome-obex-server

* Sat Jun 19 2004 Austin Acton <austin@mandrake.org> 0.4.1-2mdk
- move python .so to lib package (bad idea, but works)

* Fri Jun 18 2004 Austin Acton <austin@mandrake.org> 0.4.1-1mdk
- 0.4.1

* Tue Jun 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-2mdk
- fix libification

* Thu Jun 10 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4, major 1
- fix buildrequires
- configure 2.5
- disable mono bindings
- add languages macro
- add python libraries (split later?)

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.3-2mdk
- DIRM

* Mon Mar 31 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
